Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159685 - fenced init script should not faiil if it's a gulm cluster
Summary: fenced init script should not faiil if it's a gulm cluster
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: fence
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Adam "mantis" Manthei
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-06 22:45 UTC by Corey Marthaler
Modified: 2009-04-16 19:56 UTC (History)
1 user (show)

Fixed In Version: RHBA-2005-737
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-07 16:55:25 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2005:737 normal SHIPPED_LIVE fence bug fix update 2005-10-07 04:00:00 UTC

Description Corey Marthaler 2005-06-06 22:45:52 UTC
Description of problem:
Similiar to bz 153741, with a Gulm cluster, there is no reason to run the
'fence_tool join' cmd and then have a failure in the syslog:
"Starting fence domain:[FAILED]"

It should skip it just like the 'cman_tool join' and then output a warning.

Comment 1 Adam "mantis" Manthei 2005-07-27 20:55:32 UTC
Fix applied to the following versions in CVS for cluster/fence/init.d/fenced:
   HEAD:   1.5 
   RHEL4:  1.1.2.4 
   STABLE: 1.1.2.2.4.1.2.1 


Comment 2 Corey Marthaler 2005-08-30 22:16:23 UTC
fix verified.

Comment 3 Red Hat Bugzilla 2005-10-07 16:55:25 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-737.html



Note You need to log in before you can comment on or make changes to this bug.